MMLOCATE(8)

NAME
mmlocate - NetWorker media location reporting command

SYNOPSIS
mmlocate [ -s server ] [ -l
 { -n volname | -i volid | location }] [ -L ] [ -d location ]
[ -c { -n volname | -i volid }] [ -u { -n volname| -i volid| location }]

DESCRIPTION
The mmlocate command is used to access and manage the volume location information contained in the media database. The information contained in a volume's location field is meant to give the user an idea of where the volume can physically be found. Other NetWorker commands will display the location along with the volume name (see the versions sub-command of recover(8)). Any user can use this command with the -l (default) or -L options. The -c, -d and -u options are limited to NetWorker administrators (see nsr(8)). -l is assumed by mmlocate if a -L, -c, -d or -u option is not specified.

Running mmlocate without any arguments lists all volumes and their locations for the specified server (if you do not specify a server, the current host is used).

Note that each time nsrjb(8) moves a piece of media inside a jukebox, the location of a volume is set to the name of the jukebox. When using storage nodes, the name of the jukebox is used to indicate on which node the volume can be mounted. Hence, the first portion of this field containing the jukebox name should not be changed. When using volumes on a storage node that are not contained within a jukebox, this field can be used to indicate on which node a volume should be mounted, by giving it a value of any remote device on that node. See nsr_storage_node(5) for additional detail on storage nodes.

OPTIONS

-c  Clears the location field for the specified volume.

-d location
    Deletes all volumes associated with the specified location. A confirmation prompt appears prior to the deletion of each volume.

-i volid
    Restricts the mmlocate operation to the specified volume ID (volid).

-l  Lists entries. Performs a database query using the supplied volume name, volume ID or location.

    If a volume name or volume id is given, then only the volume's location information is displayed. If a location is provided, then only volumes in that location are displayed. When the -l option is used without specifying any other options (volume name, volume id, or location), volumes without a set location are displayed.

-L  Lists all locations found in the database.

-n volname
    Restricts the operation to the volume name (volname) listed.

-s server
    Accesses the server's media database.

-u  Updates the location for a volume. Locations are limited to a maximum length of 64 characters. The -n volname or -i volid and location options must be used in conjunction with the -u option.

EXAMPLES

Update the media database to show that volume Offsite.011 is now at location 'Media Vault'
    mmlocate -u -n Offsite.011 'Media Vault'

Delete volumes at location 'Media Shelf 6'
    mmlocate -d 'Media Shelf 6'

Delete location information for volume NonFull.001
    mmlocate -c -n NonFull.001

List the location of volume NonFull.001
    mmlocate -n NonFull.001

List all volumes stored in the location 'Media Vault'
    mmlocate 'Media Vault'

FILES

/nsr/mm/mmvolume
    The media database.

SEE ALSO
nsrmm(8), mminfo(8), nsr(8), nsrjb(8), recover(8) nsr_storage_node(5)

DIAGNOSTICS

Server server does not support remote update operations...
    If you are running mmlocate against an old server, you are not allowed to use the -u or -c options. You must login to that server and run the mmlocate program there.